Git Inbox Mirror of the ffmpeg-devel mailing list - see https://ffmpeg.org/mailman/listinfo/ffmpeg-devel
 help / color / mirror / Atom feed
From: Andreas Rheinhardt <andreas.rheinhardt@outlook.com>
To: ffmpeg-devel@ffmpeg.org
Cc: Andreas Rheinhardt <andreas.rheinhardt@outlook.com>
Subject: [FFmpeg-devel] [PATCH 22/24] tests/fate-run: Always use -bitexact for ffprobe
Date: Sat, 30 Apr 2022 08:25:21 +0200
Message-ID: <AS8PR01MB7944DBFFBC527343D7EC5D218FFF9@AS8PR01MB7944.eurprd01.prod.exchangelabs.com> (raw)
In-Reply-To: <AS8PR01MB7944D402A192D6C7F266ABE58FFD9@AS8PR01MB7944.eurprd01.prod.exchangelabs.com>

Makes no difference currently.

Signed-off-by: Andreas Rheinhardt <andreas.rheinhardt@outlook.com>
---
 tests/fate-run.sh | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 3c62246c8a..821e949b01 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -86,15 +86,15 @@ runecho(){
 }
 
 probefmt(){
-    run ffprobe${PROGSUF}${EXECSUF} -show_entries format=format_name -print_format default=nw=1:nk=1 "$@"
+    run ffprobe${PROGSUF}${EXECSUF} -bitexact -show_entries format=format_name -print_format default=nw=1:nk=1 "$@"
 }
 
 probeaudiostream(){
-    run ffprobe${PROGSUF}${EXECSUF} -show_entries stream=codec_name,codec_time_base,sample_fmt,channels,channel_layout:side_data "$@"
+    run ffprobe${PROGSUF}${EXECSUF} -bitexact -show_entries stream=codec_name,codec_time_base,sample_fmt,channels,channel_layout:side_data "$@"
 }
 
 probetags(){
-    run ffprobe${PROGSUF}${EXECSUF} -show_entries format_tags "$@"
+    run ffprobe${PROGSUF}${EXECSUF} -bitexact -show_entries format_tags "$@"
 }
 
 runlocal(){
@@ -103,11 +103,11 @@ runlocal(){
 }
 
 probeframes(){
-    run ffprobe${PROGSUF}${EXECSUF} -show_frames "$@"
+    run ffprobe${PROGSUF}${EXECSUF} -bitexact -show_frames "$@"
 }
 
 probechapters(){
-    run ffprobe${PROGSUF}${EXECSUF} -show_chapters "$@"
+    run ffprobe${PROGSUF}${EXECSUF} -bitexact -show_chapters "$@"
 }
 
 probegaplessinfo(){
@@ -222,7 +222,7 @@ enc_dec(){
     do_md5sum $decfile
     tests/tiny_psnr${HOSTEXECSUF} $srcfile $decfile $cmp_unit $cmp_shift
     test -z $ffprobe_opts || \
-        run ffprobe${PROGSUF}${EXECSUF} $ffprobe_opts $tencfile || return
+        run ffprobe${PROGSUF}${EXECSUF} -bitexact $ffprobe_opts $tencfile || return
 }
 
 transcode(){
@@ -245,7 +245,7 @@ transcode(){
     ffmpeg $DEC_OPTS -i $tencfile $ENC_OPTS $FLAGS $final_decode \
         -f framecrc - || return
     test -z $ffprobe_opts || \
-        run ffprobe${PROGSUF}${EXECSUF} $ffprobe_opts $tencfile || return
+        run ffprobe${PROGSUF}${EXECSUF} -bitexact $ffprobe_opts $tencfile || return
 }
 
 stream_remux(){
@@ -264,7 +264,7 @@ stream_remux(){
     ffmpeg $DEC_OPTS -i $tencfile $ENC_OPTS $FLAGS $final_decode \
         -f framecrc - || return
     test -z $ffprobe_opts || \
-        run ffprobe${PROGSUF}${EXECSUF} $ffprobe_opts $tencfile || return
+        run ffprobe${PROGSUF}${EXECSUF} -bitexact $ffprobe_opts $tencfile || return
 }
 
 # FIXME: There is a certain duplication between the avconv-related helper
-- 
2.32.0

_______________________________________________
ffmpeg-devel mailing list
ffmpeg-devel@ffmpeg.org
https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

To unsubscribe, visit link above, or email
ffmpeg-devel-request@ffmpeg.org with subject "unsubscribe".

  parent reply	other threads:[~2022-04-30  6:26 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-28 23:24 [FFmpeg-devel] [PATCH 01/13] fate/qt: Fix test requirements Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 02/13] fate/canopus: " Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 03/13] fate/dnxhd: " Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 04/13] fate/ea: " Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 05/13] fate/vbn: " Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 06/13] fate/vbn, tests/fate-run: Delete intermediate VBN-files after tests Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 07/13] fate/vpx: Remove unnecessary eval Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 08/13] tests/Makefile: Add FRAMEMD5 auxiliary function Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 09/13] fate/vpx: Fix test requirements Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 10/13] fate/vpx: Move webm-dash-manifest tests to a new file Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 11/13] fate/prores: Fix test requirements Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 12/13] fate/gif: " Andreas Rheinhardt
2022-04-28 23:28 ` [FFmpeg-devel] [PATCH 13/13] fate/gif: Remove nonsense requirement Andreas Rheinhardt
2022-04-29 20:22 ` [FFmpeg-devel] [PATCH 14/19] tests/Makefile: Remove unset FATE_TESTS Andreas Rheinhardt
2022-04-29 20:22 ` [FFmpeg-devel] [PATCH 15/19] fate/hevc: Fix test requirements Andreas Rheinhardt
2022-04-29 20:22 ` [FFmpeg-devel] [PATCH 16/19] fate/lossless-video: " Andreas Rheinhardt
2022-04-29 20:23 ` [FFmpeg-devel] [PATCH 17/19] fate/microsoft: " Andreas Rheinhardt
2022-04-29 20:23 ` [FFmpeg-devel] [PATCH 18/19] fate/mpeg4: " Andreas Rheinhardt
2022-04-29 20:23 ` [FFmpeg-devel] [PATCH 19/19] fate/pixlet: " Andreas Rheinhardt
2022-04-30  6:25 ` [FFmpeg-devel] [PATCH 20/24] fate/qtrle: " Andreas Rheinhardt
2022-04-30  6:25 ` [FFmpeg-devel] [PATCH 21/24] tests/ref: Remove unused reference files Andreas Rheinhardt
2022-04-30  6:25 ` Andreas Rheinhardt [this message]
2022-04-30  6:25 ` [FFmpeg-devel] [PATCH 23/24] fate/hap: Fix test requirements Andreas Rheinhardt
2022-04-30  6:25 ` [FFmpeg-devel] [PATCH 24/24] fate/h264: " Andreas Rheinhardt

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=AS8PR01MB7944DBFFBC527343D7EC5D218FFF9@AS8PR01MB7944.eurprd01.prod.exchangelabs.com \
    --to=andreas.rheinhardt@outlook.com \
    --cc=ffmpeg-devel@ffmpeg.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link

Git Inbox Mirror of the ffmpeg-devel mailing list - see https://ffmpeg.org/mailman/listinfo/ffmpeg-devel

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://master.gitmailbox.com/ffmpegdev/0 ffmpegdev/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 ffmpegdev ffmpegdev/ https://master.gitmailbox.com/ffmpegdev \
		ffmpegdev@gitmailbox.com
	public-inbox-index ffmpegdev

Example config snippet for mirrors.


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git